Subject: Re: [PATCH net] docs: netdev-FAQ: add missing underlines to questions

From: Baruch Siach <[email-masked]>
Date: Sun, 20 Dec 2020 10:29:12 +0200

Hi Jakub,

On Thu, Dec 17 2020, Jakub Kicinski wrote:
> On Tue, 15 Dec 2020 19:18:19 +0200 Baruch Siach wrote:
>> Signed-off-by: Baruch Siach <[email-masked]>
>> ---
>>  Documentation/networking/netdev-FAQ.rst | 18 +++++++++++-------
>>  1 file changed, 11 insertions(+), 7 deletions(-)
>> 
>> diff --git a/Documentation/networking/netdev-FAQ.rst b/Documentation/networking/netdev-FAQ.rst
>> index 4b9ed5874d5a..4ef90fe26640 100644
>> --- a/Documentation/networking/netdev-FAQ.rst
>> +++ b/Documentation/networking/netdev-FAQ.rst
>> @@ -82,6 +82,7 @@ focus for ``net`` is on stabilization and bug fixes.
>>  Finally, the vX.Y gets released, and the whole cycle starts over.
>>  
>>  Q: So where are we now in this cycle?
>> +-------------------------------------
>>  
>>  Load the mainline (Linus) page here:
>>  
>> @@ -108,6 +109,7 @@ with.
>>  Q: I sent a patch and I'm wondering what happened to it?
>>  --------------------------------------------------------
>>  Q: How can I tell whether it got merged?
>> +----------------------------------------
>
> I think this and the following fixes should be folded into a single
> line (unless it's possible in RST for header to span multiple lines):
>
> I sent a patch and I'm wondering what happened to it - how can I tell whether it got merged?
> --------------------------------------------------------------------------------------------
>
> To be honest I think we can also drop the Q: and A: prefixes now that
> we're using RST.
>
> And perhaps we can add an index of questions at the beginning of the
> the file?

Sphinx creates side bar index of the questions in the HTML version. See

  https://www.kernel.org/doc/html/latest/networking/netdev-FAQ.html

Other formats provide other index methods.

baruch

-- 
                                                     ~. .~   Tk Open Systems
=}------------------------------------------------ooO--U--Ooo------------{=
   - [email-masked] - tel: +972.52.368.4656, http://www.tkos.co.il -